#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	vzgot
Version		:	0.97.0.20
Release		:	14.8.0.0%{?dist}
Summary		:	An application to drive linux container
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://www.osukiss.org

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
Requires	:	util-linux
Requires	:	bridge-utils
Requires	:	coreutils
Requires	:	procps-ng
Requires	:	/sbin/ip,
Requires	:	/sbin/chkconfig
Requires	:	/bin/chmod,/bin/sed,/bin/sh,/bin/ln

#-----------------------------------------------------------------------------
%description
vzgot is a set of tool to manage linux container
it allow to run a wide range of distribution, as
long their kernel is a Linux one

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc %{name}-%{version}.build_date
%doc README Changes QUICK-START
%dir /cgroup
%dir /%{name}
%{_var}/lib/%{name}/RPM
%{_var}/lib/%{name}/etc/ssh
%{_var}/lib/%{name}/cgroup.d
%{_var}/lib/%{name}/vztemplates
%{_var}/lib/%{name}/contrib/*
%{_initrddir}/%{name}
%{_usr}/sbin/%{name}
%{_var}/lib/%{name}/shell/%{name}.build
%{_var}/lib/%{name}/shell/%{name}.close
%{_var}/lib/%{name}/shell/%{name}.create
%{_var}/lib/%{name}/shell/%{name}.destroy
%{_var}/lib/%{name}/shell/%{name}.exec
%{_var}/lib/%{name}/shell/%{name}.fboot
%{_var}/lib/%{name}/shell/%{name}.fboot.redhat
%{_var}/lib/%{name}/shell/%{name}.fboot.debian
%{_var}/lib/%{name}/shell/%{name}.fboot.osukiss
%{_var}/lib/%{name}/shell/%{name}.freeze
%{_var}/lib/%{name}/shell/%{name}.list
%{_var}/lib/%{name}/shell/%{name}.online
%{_var}/lib/%{name}/shell/%{name}.open
%{_var}/lib/%{name}/shell/%{name}.net
%{_var}/lib/%{name}/shell/%{name}.movefrom
%{_var}/lib/%{name}/shell/%{name}.rebuild
%{_var}/lib/%{name}/shell/%{name}.start
%{_var}/lib/%{name}/shell/%{name}.standby
%{_var}/lib/%{name}/shell/vzctl.standby

%dir %{_sysconfdir}/%{name}/sites_data
%dir %{_sysconfdir}/%{name}/names
%config(noreplace) %{_sysconfdir}/%{name}/%{name}_config
%config(noreplace) %{_sysconfdir}/%{name}/%{name}_list
%config(noreplace) %{_sysconfdir}/sysctl.d/%{name}.conf
%config(noreplace) %{_var}/lib/%{name}/etc/shadow
%config(noreplace) %{_var}/lib/%{name}/etc/resolv.conf
%config(noreplace) %{_var}/lib/%{name}/etc/groups
%config(noreplace) %{_var}/lib/%{name}/etc/users
%config(noreplace) %{_var}/lib/%{name}/etc/sudoers
%config(noreplace) %{_var}/lib/%{name}/etc/sysconfig/iptables
%config(noreplace) %{_var}/lib/%{name}/etc/snmp/snmpd.conf

#-----------------------------------------------------------
#This is the RPM install/upgrade/remove directive
#-----------------------------------------------------------
#after install or upgrade
%post
if [ "$1" = 1 ]; then
  cat >> /etc/fstab << "EOF"
#-----------------------------------------------------------------------------
#mounting cgroup
	none		/cgroup		cgroup2	defaults	0 0
#-----------------------------------------------------------------------------
EOF
 sysctl -p > /dev/null 2>&1
 mount /cgroup
 /sbin/chkconfig --add %{name} 2>/dev/null || :
 #extracting HOST root password to be used as container common password
 /bin/chmod 600 %{_var}/lib/%{name}/etc/shadow
 /bin/sed 's/#.*//g' /etc/shadow	|	\
	grep -v '^[[:space:]]*$' 	|	\
	grep root >>  %{_var}/lib/%{name}/etc/shadow
 #extracting HOST nameserver to be used by container
 if [ -f /etc/resolv.conf ] ; then
   /bin/sed 's/#.*//g' /etc/resolv.conf		\
	>> %{_var}/lib/%{name}/etc/resolv.conf
   fi
 #populating ssh default directory
 if [ -f /etc/*ssh/sshd_config ] ; then
   cp -a					\
	/etc/*ssh/sshd_config	 		\
	/var/lib/%{name}/etc/ssh/server
   fi
 if [ -f ~/.ssh/authorized_keys ] ; then
   cp -a					\
	~/.ssh/authorized_keys			\
	/var/lib/%{name}/etc/ssh/access
   fi
 fi

#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  #umounting cgroup to free directory
  umount /cgroup	
  %{_initrddir}/%{name} stop 2>/dev/null || :
  /sbin/chkconfig --del %{name} 2>/dev/null || :
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
echo "#define VZVERS \"%{version}-%{release}\"" > lib/vzvers.h

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	VZFLAGS=-fPIE					\
	%{?_smp_mflags}					\
	prod

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} -m 0755 %{buildroot}/etc/%{name}/sites_data
%{__mkdir_p} -m 0755 %{buildroot}/etc/%{name}/names
%{__mkdir_p} -m 0500 %{buildroot}/cgroup
%{__mkdir_p} -m 0500 %{buildroot}/%{name}
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
